%define name	qhull
%define version	2003.1
%define release	1mdk
%define major	0
%define libname	%mklibname %{name} %{major}

Summary:	Computes convex hulls
Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
License:	GPL
Group:		System/Libraries
Url:		http://www.thesa.com/software/%{name}/
Source0:	%{url}files/%{name}-%{version}-src.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Qhull computes convex hulls, Delaunay triangulations, halfspace
intersections about a point, Voronoi diagrams, furthest-site Delaunay
triangulations, and furthest-site Voronoi diagrams. It runs in 2-d, 3-d,
4-d, and higher dimensions. It implements the Quickhull algorithm for
computing the convex hull. Qhull handles roundoff errors from floating
point arithmetic. It can approximate a convex hull.

%package -n %{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries
Provides:	lib%{name} = %{epoch}:%{version}-%{release}

%description -n %{libname}
Shared libraries for %{name}.

%package -n %{libname}-devel
Summary:	Header files and static library for development with %{name}
Group:		Development/C
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Provides:	lib%{name}-devel = %{epoch}:%{version}-%{release}

%description -n %{libname}-devel
Header files and static library for development with %{name}.

%prep
%setup -q

%build

perl -p -i -e 's|\r\n|\n|g' \
configure.in Makefile.am src/Makefile.am src/Make-config.sh

pushd src
sh ./Make-config.sh || :
touch MBorland Makefile.txt
popd

perl -p -i -e 's|AM_INIT_AUTOMAKE\(qhull, 2002.1\)|AM_INIT_AUTOMAKE(%{name}, %{version})|' configure.in
perl -p -i -e 's|^AC_PROG_LIBTOOL|AM_PROG_LIBTOOL|' configure.in

export WANT_AUTOCONF_2_1=1

libtoolize --copy --force
aclocal -I .
automake --copy --add-missing || :
autoconf

%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
rm -rf $RPM_BUILD_ROOT/usr/share/doc

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-, root, root)
%doc Announce.txt COPYING.txt README.txt REGISTER.txt html/*.{gif,htm}
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-, root, root)
%doc html
%{_bindir}/*
%{_mandir}/*/*
%{_libdir}/*.so
%{_libdir}/*.*a
%{_includedir}/*

%changelog
* Fri Feb 13 2004 David Walluck <walluck@linux-mandrake.com> 0:2003.1-1mdk
- 2003.1
- add epoch to %%{libname} provides

* Thu Oct 02 2003 David Walluck <walluck@linux-mandrake.com> 0:2002.1-1mdk
- release
